Package org.apache.tapestry5.beaneditor

# Enum RelativePosition

java.lang.Object
java.lang.Enum<RelativePosition>
org.apache.tapestry5.beaneditor.RelativePosition

All Implemented Interfaces:
  `Serializable`, `Comparable<RelativePosition>`, `java.lang.constant.Constable`

public enum RelativePosition extends Enum<RelativePosition>
Controls the position of newly added PropertyModel inside a BeanModel.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AFTER`
  The new PropertyModel goes after the existing model.
  `BEFORE`
  The new PropertyModel goes before the existing model.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RelativePosition`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static RelativePosition[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BEFORE

    public static final RelativePosition BEFORE
    The new PropertyModel goes before the existing model.

  - ### AFTER

    public static final RelativePosition AFTER
    The new PropertyModel goes after the existing model.

- ## Method Details

  - ### values

    public static RelativePosition[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static RelativePosition valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null